Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class EJBProviderData

    java.lang.Object
      org.wso2.wsas.admin.service.util.EJBProviderData

    public class EJBProviderData

extends java.lang.Object

Constructor Summary
`EJBProviderData()`

Method Summary
`java.lang.String` | `getBeanJNDIName()`
`java.lang.String` | `getHomeInterface()`
`java.lang.String` | `getJndiContextClass()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getProviderURL()`
`java.lang.String` | `getRemoteInterface()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getUserName()`
`void` | `setBeanJNDIName(java.lang.String beanJNDIName)`
`void` | `setHomeInterface(java.lang.String homeInterface)`
`void` | `setJndiContextClass(java.lang.String jndiContextClass)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setRemoteInterface(java.lang.String remoteInterface)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBProviderData

    public EJBProviderData()

Method Detail

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### getBeanJNDIName

    public java.lang.String getBeanJNDIName()

### setBeanJNDIName

    public void setBeanJNDIName(java.lang.String beanJNDIName)

### getHomeInterface

    public java.lang.String getHomeInterface()

### setHomeInterface

    public void setHomeInterface(java.lang.String homeInterface)

### getJndiContextClass

    public java.lang.String getJndiContextClass()

### setJndiContextClass

    public void setJndiContextClass(java.lang.String jndiContextClass)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getProviderURL

    public java.lang.String getProviderURL()

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

### getRemoteInterface

    public java.lang.String getRemoteInterface()

### setRemoteInterface

    public void setRemoteInterface(java.lang.String remoteInterface)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD